/*
 * BasicUtils.h
 *
 *  Created on: Jan 19, 2010
 *      Author: bertini
 */

#ifndef BASICUTILS_H_
#define BASICUTILS_H_

#include <sstream>

void trim(std::string& str);
std::string intToString(int i);

template<class T> std::string toString(T d) {
    std::stringstream ss;
    std::string s;
    ss << d;
    s = ss.str();

    return s;
}

inline int stringToInt(std::string s){
	std::istringstream buffer(s);
	int i;
	buffer >> i;
	return i;
}

inline double stringToDouble(std::string s){
	std::istringstream buffer(s);
	double d;
	buffer >> d;
	return d;
}


#endif /* BASICUTILS_H_ */
